KDE 4.5 PyKDE API Reference

- KDE's Python API

# Effect Class Reference

`from PyKDE4.phonon import *`

Inherits: QObject,Phonon.MediaNode
Subclasses: Phonon.VolumeFaderEffect
Namespace: Phonon

## Detailed Description

\class Effect effect.h Phonon/Effect Effects that can be inserted into a Path. An effect is a special object which can perform transformations on the specified path. Examples may include simple modifiers such as fading or pitch shifting, or more complex mathematical transformations.

In order to use an effect, insert it into the path as follows:

     Path path = Phonon.createPath(...);
     Effect *effect = new Effect(this);
     path.insertEffect(effect);

The effect will immediately begin applying it's transformations on the path. To stop it, remove the Effect from the path.

Author:
  Matthias Kretz <kretz@kde.org>

## Methods
| __init__ (self, Phonon::ObjectDescription description, QObject parent=0)
Phonon::ObjectDescription | description (self)
QVariant | parameterValue (self, Phonon.EffectParameter a0)
[Phonon.EffectParameter] | parameters (self)
| setParameterValue (self, Phonon.EffectParameter a0, QVariant value)

## Method Documentation

__init__ | ( | self, |
|  | Phonon::ObjectDescription | description,
|  | QObject | parent=0
| ) |  |  |

QObject constructor.

Parameters:

  | description | An EffectDescription object to determine the type of effect. See BackendCapabilities.availableAudioEffects().

Parameters:

  | parent | QObject parent

Phonon::ObjectDescription description | ( |  | self ) |

Returns the description of this effect. This is the same type as was passed to the constructor.

QVariant parameterValue | ( | self, |
|  | Phonon.EffectParameter | a0
| ) |  |  |

[Phonon.EffectParameter] parameters | ( |  | self ) |

Returns a list of parameters that this effect provides to control its behaviour.

See also:
  EffectParameter

See also:
  EffectWidget

setParameterValue | ( | self, |
|  | Phonon.EffectParameter | a0,
|  | QVariant | value
| ) |  |  |